Subject: Re: [GSoC] Microproject help

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Mar 2024 22:46:35 -0700

Patrick Steinhardt <[email-masked]> writes:

> Hint: the `maintenance_task_pack_refs()` can in fact be converted to use
> `refs_pack_refs()` instead. I was briefly considering doing that in [1],
> but then didn't want to do such an unrelated refactoring in an already
> long patch series.
>
> So if you decide to do that you should probably build on top of my patch
> series to avoid conflicts.

As the microproject is a learning experience for skills to work well
with others, we may want to suggest an area where there won't be
much conflicts, i.e. skill to find an area that are relatively
quiescent to avoid stepping each other's toes.

To be quite honest, I'd rather not to see a task that uses
run_command() API and gets done in safe process isolation turned
into an internal call by pure amateurs, unless competent mentors
go through the change with fine toothed comb and make sure there are
no unintended consequences and side effects of doing it in process.
This is especially true for microprojects, where the primary focus
is about learning the process of contribution and working with the
community, and not about learning the existing codebase and API.

Thanks.